{% extends 'bootstrap/base.html' %}

{% block title %}
        {% if title %}
        {{ title }} - Self Service Infrastructure
        {% else %}
        Self Service Infrastructure
        {% endif %}
{% endblock %}


{% block navbar %}
    <nav class="navbar navbar-default">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/index">Self Service Infrastructure</a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a href="/index">Home</a></li>
                    <li><a href="/create">Create User</a></li>
                    <li><a href="/index">Delete User</a></li>
                    <li><a href="/index">SFTP</a></li>
                    <li><a href="/index">Add Vhost</a></li>
                    <li><a href="/index">Incident Report</a></li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                </ul>
            </div>
        </div>
    </nav>
{% endblock %}

{% block content %}
    <div class="container">

        {# application content needs to be provided in the app_content block #}
        {% block app_content %}{% endblock %}
    </div>
{% endblock %}
